Bug 576760

Summary: RFE - Information Message Relating to Disk Space on /Boot Partition
Product: [Fedora] Fedora Reporter: David Le Sage <dlesage>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: alexl, delete, felix, petersen, richard
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 11:17:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description David Le Sage 2010-03-25 00:04:28 EDT
Description of problem:
I recently ran preupgrade to jump from F12 stable to F13 Alpha.  It was a successful transition but I think preupgrade could be enhanced in terms of /boot partition space.  Currently, preupgrade attempts to put the install image data on the /boot partition and the user is then notified if 100% of the partition is filled after an attempt fails.

In my own case, I did not have enough space on /boot initially, so I simply removed some legacy initramfs files and it ran smoothly.  However, perhaps it would be better if preupgrade could scan /boot at the very start of the upgrade process and calculate if enough space is available and, if there is not, alert users to remove legacy files?  It might make the process a little smoother, especially for newbies as most people who run "yum update" regularly will have a number of legacy files from past kernel updates from F12.


How reproducible:
Every time.

Steps to Reproduce:
1. Run preupdate on a machine in which there is not enough space left on /boot.
  
Actual results:
Rudimentary alert is produced by disk analysis, stating that 100% of partition is filled after preupdate has run and attempted to install compressed boot image.

Expected results:
A more detailed error message, preferably before preupdate starts to actually install anything, stating how much capacity /boot has and how much preupdate requires.

Additional info:
Comment 1 Alex Lancaster 2010-03-31 15:40:15 EDT
Very good idea as the /boot space problem is the no. 1 problem with using preupgrade.  I hope that fresh installs default to something like 500 MB at least for /boot, since it is effectively impossible to currently use preupgrade without having to do various hacks behind the scenes.  Even with a single current kernel with 200 MB there is simply not enough space for the install2 image.
Comment 2 Jens Petersen 2010-04-30 02:46:28 EDT
See also bug 573451: preupgrade supports downloading install.img
at boot time.
Comment 3 Felix Bellaby 2010-09-16 04:53:29 EDT
Downloading install.img at boot time is only a partial solution as it requires a wired connection to the internet, which might sometimes be unavailable.

On a related issue, preupgrade refuses to download the install.img into /boot if it is configured as a RAID 0 device. There is no reason for treating this as an error it would work perfectly well.
Comment 4 Felix Bellaby 2010-09-20 07:14:37 EDT
I should have said a RAID1 array in comment 3.
Comment 5 Bug Zapper 2011-06-02 11:56:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 11:17:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.